
/*
	makethumb is copyright 2002 by Robert Kesterson, robertk@robertk.com,
	all rights reserved.  Portions based on the work on the Independent
	JPEG Group.
*/

/* Pixels always 24-bit internally */
			
struct Pixel
{
	unsigned char Red;
	unsigned char Green;
	unsigned char Blue;
};
	
struct Image
{
	long Width;
	long Height;
	struct Pixel *pPixels;
};

/* allocate a new image of given size.  Must call FreeImage later. */
struct Image *CreateImage(long Width, long Height);

/* call this on any allocated image. */
void FreeImage(struct Image *pImage);

/* Read a JPEG image into memory.  Must call FreeImage later. */
struct Image *ReadJPEG(const char *pszFile);

/* Create a scaled copy of an image.  Must call FreeImage on the copy later */
struct Image *ScaleImage(const struct Image *pImage, int newHeight);

/* returns 0 on failure, 1 on success */
int WriteJPEG(const struct Image *pImage, const char *pszFile, int quality);


